RPM Community Forums

Mailing List Message of <rpm-users>

Re: Rpm5 will switch to python3 ?

From: Alexander Kanavin <alexander.kanavin@linux.intel.com>
Date: Tue 15 Nov 2016 - 13:23:56 CET
Message-ID: <3f2d2391-deac-7ab0-652d-05a01c2c4a9e@linux.intel.com>
On 11/14/2016 06:07 PM, Jeffrey Johnson wrote:
> You were warned:
>>> Meanwhile, no one has tried to compile/use rpm-python with python3.
>>> There’s surely some bugs.
> Meanwhile — in order to finish rpm-python3 — there needs to be some
> usage case.
> On a random Fedora 24 installation, I see the following packages using
> rpm-python3:
> $ rpm -q --whatrequires rpm-python3
> rpmconf-1.0.16-2.fc24.noarch
> python3-dnf-1.1.10-1.fc24.noarch
> rpmlint-1.9-3.fc24.noarch
> setroubleshoot-server-3.3.11-1.fc24.x86_64
> mock-1.2.21-1.fc24.noarch
> Which of those packages is of interest to you?
> Offhand, I don’t see any important applications there that MUST have
> rpm-python3.

The usage case is that Yocto Project is replacing smartpm with dnf.

Dnf can (still) be configured to use Python 2, but we strongly prefer to 
use Python 3 from the beginning.

Received on Tue Nov 15 13:27:12 2016
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.